"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _CommandError() {
  const data = _interopRequireDefault(require("../../CommandError"));

  _CommandError = function () {
    return data;
  };

  return data;
}

function _buildAndroidClientAsync() {
  const data = _interopRequireDefault(require("./buildAndroidClientAsync"));

  _buildAndroidClientAsync = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function runAndroidAsync(projectRoot, options) {
  if (typeof options.buildVariant !== 'string') {
    throw new (_CommandError().default)('--build-variant must be a string');
  }

  await (0, _buildAndroidClientAsync().default)(projectRoot, {
    buildVariant: options.buildVariant
  });
}

function _default(program) {
  program.command('run:android [path]').helpGroup('experimental').description('Build a development client and run it in on a device.').option('--build-variant [name]', '(Android) build variant', 'release').asyncActionProjectDir(runAndroidAsync);
}
//# sourceMappingURL=index.js.map